#include "testentity.h"
#include <math.h>

TestEntity::TestEntity() {

}

std::vector<QuestionEntity> TestEntity::getQuestions()
{
    return this->questions;
}

void TestEntity::setQuestions(std::vector<QuestionEntity> &p_questions)
{
    this->questions = p_questions;
}

void TestEntity::checkQuestions(std::vector<std::unordered_set<QString> > &p_answers)
{
    int questionSize = this->getQuestions().size();
    float trueSize = 0;
    for(int i = 0; i < questionSize; i++){
        if (this->getQuestions().at(i).checkAnswers(p_answers.at(i))) { ++trueSize; };
    }

    this->percentage = trunc((trueSize / questionSize) * 100);
}


unsigned int TestEntity::getPercentage()
{
    return this->percentage;
}
